Package org.eclipse.graphiti.mm.algorithms.styles

# Interface PrecisionPoint

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PrecisionPointImpl`

public interface PrecisionPoint extends org.eclipse.emf.ecore.EObject
A representation of the model object ' Precision Point'.

Since:
  0.9

  The following features are supported:

  - `X`
  - `Y`
See Also:
  - `StylesPackage.getPrecisionPoint()`

## Method Summary

Modifier and Type
Method
Description
`double`
`getX()`
Returns the value of the 'X' attribute.
`double`
`getY()`
Returns the value of the 'Y' attribute.
`void`
`setX(double value)`
Sets the value of the '`X`' attribute.
`void`
`setY(double value)`
Sets the value of the '`Y`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getX

double getX()
Returns the value of the 'X' attribute.

If the meaning of the 'X' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'X' attribute.
See Also:
  - `setX(double)`
  - `StylesPackage.getPrecisionPoint_X()`

### setX

void setX(double value)
Sets the value of the '`X`' attribute.

Parameters:
  `value` - the new value of the 'X' attribute.
See Also:
  - `getX()`

### getY

double getY()
Returns the value of the 'Y' attribute.

If the meaning of the 'Y' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Y' attribute.
See Also:
  - `setY(double)`
  - `StylesPackage.getPrecisionPoint_Y()`

### setY

void setY(double value)
Sets the value of the '`Y`' attribute.

Parameters:
  `value` - the new value of the 'Y' attribute.
See Also:
  - `getY()`